Update a project monthly budget service item
curl --request PATCH \
--url https://www.ruddr.io/api/workspace/project-monthly-budget-service-items/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fee": 123,
"description": "<string>",
"invoiceItemId": "<string>"
}
'import requests
url = "https://www.ruddr.io/api/workspace/project-monthly-budget-service-items/{id}"
payload = {
"fee": 123,
"description": "<string>",
"invoiceItemId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({fee: 123, description: '<string>', invoiceItemId: '<string>'})
};
fetch('https://www.ruddr.io/api/workspace/project-monthly-budget-service-items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "d5c19f83-2e47-4b0a-a7e3-f0b29d8c41a6",
"fee": 3500,
"description": "Monthly managed services retainer",
"createdAt": "2026-06-04T16:40:12.508Z",
"project": {
"id": "d4f81c36-7b29-4e5a-a2d8-c3e7f09b61a4",
"name": "Infrastructure Modernization",
"client": {
"id": "e9a52d47-1c83-4b6f-b7e3-d0f29a8c74b2",
"name": "Sterling Cooper"
}
},
"invoiceItem": {
"id": "f1c74e28-9b03-4d5a-86e2-a3d7f0c52b19",
"name": "Managed Services"
}
}
Project Monthly Budget Service Items
Update a project monthly budget service item
PATCH
/
project-monthly-budget-service-items
/
{id}
Update a project monthly budget service item
The monthly budget for an additional service invoice item on a project. Only available for billable projects using a monthly budget and the monthly budget mode is “detailed”.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The project monthly budget service item uuid.
Body
application/json
Response
200
The unique identifier for the object.
The total amount of the item.
A description of the item being charged.
The timestamp when the object was created.
The project this item belongs to.
Show child attributes
Show child attributes
The invoice item associated with this budget line.
Show child attributes
Show child attributes
⌘I